importation base de données de site worpdress sous Wamp (Créer un compte)

  • WordPress :5.1
  • Statut : non résolu
14 sujets de 1 à 14 (sur un total de 14)
  • Auteur
    Messages
  • #2360184
    Clémentine
    Participant
    Padawan WordPress
    59 contributions

    Bonjour,

    Ma configuration WP actuelle

    • Version de PHP/MySQL : php 7.1 et sql 5.5
    • Thème utilisé : enigma
    • Extensions en place : yoast, akismet, elementor, google analytics…
    • Nom de l’hébergeur : online
    • Adresse du site : http://www.eauvivechatou.org

    Problème(s) rencontré(s) :

    Bonjour,

    Je voudrais faire des tests sur le site en local, et l’exporter pour cela :

    je suis sous wamp3.2 avec php 7.1 , sql 5.7 mais je n’arrive pas à importer ma base de données :

    je l’ai crée sous php my admin, et ensuite quand je fais importer, la base est importée avec pleins de messages d’erreur et je pense que les tables sont incomplètes :

    pourtant la version online du serveur est bien php7.1 et sql 5.5.

    Est-ce un problème avec la version d’apache ?

    ci-dessous un extrait des messages d’erreur
    <div id=”page_content”>
    <div class=”error”>

    “Analyse statique :

    1 erreurs trouvées lors de l’analyse.

    1. Expression manquante. (near “ON” at position 25)

    Requête SQL : <span class=”nowrap”>Éditer Éditer</span>

    SET FOREIGN_KEY_CHECKS = ON;

    MySQL a répondu : Documentation

    #2006 - MySQL server has gone away</div>
    </div>
    <div id=”selflink” class=”print_ignore”>Ouvrir une nouvelle fenêtre phpMyAdmin</div>
    <div id=”pma_errors” class=”clearfloat”>
    <div class=”error”>Warning in .librariesdbiDBIMysqli.php#202
    mysqli_query(): MySQL server has gone away

    Backtrace

    .librariesdbiDBIMysqli.php#202: mysqli_query(
    ,
    string ‘INSERT INTO wp_options VALUES (372981,’string-locator-search-history’,’s:1999628:”a:2003:{i:0;a:7:{</div>
    <div>
    <div id=”pma_errors” class=”clearfloat”>
    <div class=”error”>s:2:”ID”;i:1;s:7:”linenum”;i:1;s:4:”path”;s:80:”/flex/storage/eauvivechatou.org/site/www/wp-content/updraft/log.e3fefa91cabc.txt”;s:8:”filename”;s:347:”wp-content/updraft/log.e3fefa91cabc.txt“;s:12:”filename_raw”;s:39:”wp-content/updraft/log.e3fefa91cabc.txt”;s:7:”editurl”;s:268:”http://www.eauvivechatou.org/wp-admin/tools.php?page=string-locator&edit-file=log.e3fefa91cabc.txt&file-reference=&file-type=core&string-locator-line=1&string-locator-path=%2Fflex%2Fstorage%”</div&gt;
    <div></div>
    </div>
    <div>Merci beaucoup si vous voyez le problème !</div>
    <div>Clémentine</div>
    </div>
    </div>

    #2360185
    pasglop
    Participant
    Chevalier WordPress
    155 contributions

    Bonjour,

     

    Justement, quelle est la version d’Apache ?

    #2360187
    Clémentine
    Participant
    Padawan WordPress
    59 contributions

    Ma version d’apache est 2.4.27

    Sur online, je n’ai pas trouvé l’info …

    #2360193
    Clémentine
    Participant
    Padawan WordPress
    59 contributions

    Sur online ils utilisent ubuntu je pense.

    #2360195
    pasglop
    Participant
    Chevalier WordPress
    155 contributions

    Et quelle est la version de phpmyadmin ?

    #2360196
    Clémentine
    Participant
    Padawan WordPress
    59 contributions

    Sur mon serveur local php my admin est en 4.7.4

    #2360198
    pasglop
    Participant
    Chevalier WordPress
    155 contributions

    Bon, les versions de mon Wampserver sont plus récentes, par contre, j’ai upgradé il y a peu phpmyadmin, du fait d’un bug qui n’apparaît plus maintenant. Ça n’a peut-être strictement rien à voir, mais c’est à tenter. (j’ai la ver 5.0.4).

    Votre WP est en 5.1.8, c’est bien cela ?

    #2360201
    Clémentine
    Participant
    Padawan WordPress
    59 contributions

    oui wordpress en 5.1.8. Donc vous me conseiller de mettre phpmy admin en 5.0 ? et je laisse php et msql dans leur version ?

    Merci !

    #2360202
    Clémentine
    Participant
    Padawan WordPress
    59 contributions

    Je vais chercher les addons sur ce site :

     

     

     

     

     

    http://www.wampserver.aviatechno.net

    c’est un site de confiance ?

    Pour phpmy admin 5.0 j’ai besoin de php 7.1 mini

    #2360204
    Clémentine
    Participant
    Padawan WordPress
    59 contributions

    Jai un message d’alerte de windows quand je download sur ce site la version 5.0 de phpmy admin

    D’habitude je n’ai pas de soucis :
    <div id=”messageTitle” class=”main-title”>”Windows a protégé votre ordinateur</div>
    <div id=”messageBody” class=”main-desc”>Microsoft Defender SmartScreen a empêché le démarrage d’une application non reconnue. L’exécution de cette application peut mettre votre ordinateur en danger.”</div>

    #2360205
    pasglop
    Participant
    Chevalier WordPress
    155 contributions

    Si Online vous permet de passer en PHP 7.4:

    j’opterai pour une mise à jour de WP, déjà, en LOCAL. Et de ce fait, mettre à niveau votre serveur Wamp si vous vous en sentez capable.

    Les versions du mien sont les suivantes:

    PHP 7.4.12 – Apache 2.4.37 ou 2.4.46a (selon mes besoins) – Mysql 5.7.30 – Phpmyadmin 5.0.4

     

    Vous avez tout ici: http://forum.wampserver.com/read.php?1,137154

     

     

    #2360206
    pasglop
    Participant
    Chevalier WordPress
    155 contributions

    Oui, le site wampserver.aviatechno est entièrement de confiance. il possède tous les add-on pour wamp

    #2360266
    Clémentine
    Participant
    Padawan WordPress
    59 contributions

    Bonjour,

    Merci pour vos conseils.

    Alors j’ai mis la version phpmy admin 5.0.4, en gardant php7.1.9, sql en 5.7.19 et apache en 2.4.27 sur mon localhost.(jai aussi essayé avec sql 5.5=.

    Sachant que la base de données du site wordpress chez online a un serveur php 7.1, sql 5.5

    Malheureusement j’ai toujours mes messages d’erreur, beaucoup beaucoup de messages d’erreur.

    Il y a peut-être un problème de clés primaire sinon ? quand j’ai voulu faire Search and replace DB pour changer les URL, il me signalait 2 tables sans clés primaire.

    Ou alors j’essaie une version plus rfécente de php my admin ?

     

    #2360267
    pasglop
    Participant
    Chevalier WordPress
    155 contributions
    Cette réponse a été marquée comme privée.
14 sujets de 1 à 14 (sur un total de 14)
  • Vous devez être connecté pour répondre à ce sujet.